package com.xhkjedu.sstudy.mapper.resource;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sstudy.model.resource.TGuideGroupStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GuideGroupStudentMapper extends TkMapper<TGuideGroupStudent> {
    //已存在的导学案学生集合
    List<TGuideGroupStudent> listStudentByResourceId(@Param("resourceid") String resourceid);
    //已存在的学生预习学生集合
    List<TGuideGroupStudent> listStudentByGuideid(@Param("guideid") Integer guideid);

    //更新导学案学生集合
    Integer batchUpdate(@Param("list") List<TGuideGroupStudent> updateStudents);

    //更新查看记录
    Integer updateRead(@Param("student") TGuideGroupStudent student);

    //复制学生预习导学信息
  /*  Integer copyGuideResource(Integer studentid, Integer classid);*/

    //获取学生预习记录
    List<TGuideGroupStudent> listGuideGroupStudent(@Param("resourceid") String resourceid, @Param("studentid") Integer studentid);
}
